Description

Section Index invalid conclusion
Good day!
After upgrading to TYPO3 4.7 is a problem of incorrect output content item "Menu / Sitemap" menu, type "Section Index". The menu
elements are not shown, order the withdrawal of page elements broken, the elements appear again several times in an arithmetic
progression. Intuitively, this can be seen here: http://elarum.ru/info/standards/tu-2452-029-05766801-94/. The problem is temporarily
solved by connecting the static template version 4.6 or disconnecting the content element "Menu / Sitemap". The error most likely lies
somewhere in here:
\typo3_src-4.7.1\typo3\sysext\css_styled_content\static\setup.txt

# "Section index (pagecontent w/Index checked - liststyle)" 
3 < .default
3 {
    special {
        value {
            override {
                data = page:uid
                if {
                    isFalse.field = pages
                }
            }
        }
    }
    stdWrap {
        outerWrap = <ul class="csc-menu csc-menu-3">|</ul>
    }
    1 = TMENU
    1 {
        sectionIndex = 1
        sectionIndex.type = header
        NO.wrapItemAndSub = <li class="csc-section">|</li>
    }
}
Unfortunately, my knowledge is not enough TS to find solutions.

Related issues:
related to Core - Feature # 21142: HMENU - sectionIndex does not allow to sel... Resolved 2009-09-25
related to Core - Bug # 36616: TYPO3 4.7 sectionIndex not working correctly o... Resolved 2012-04-26
related to TemplaVoila - Bug # 45583: improper render of sectionIndex Resolved 2013-02-18
related to Core - Bug # 45878: Section Index incorrect output Closed 2012-05-23

History
#1 - 2012-05-23 19:37 - Stefan Galinski
- Status changed from New to Needs Feedback

Sounds like a duplicate of the two related issues.

#2 - 2012-05-23 19:56 - Edward A. Gabdullin

Stefan Galinski wrote:

Sounds like a duplicate of the two related issues.

Even before adding this error, I made a fix described in Bug # 36616, they do not correct the situation.

#3 - 2012-05-23 20:36 - Stefan Galinski

Can you please post a screenshot with the wrongly rendered section menu of your mentioned page. Maybe I'am just blind, but I cannot see any section
index on that page.

#4 - 2012-05-23 20:56 - Edward A. Gabdullin
- File scr_1.jpg added
- File scr_2.jpg added
- File scr_3.jpg added
- File scr_4.jpg added

Stefan Galinski wrote:

Can you please post a screenshot with the wrongly rendered section menu of your mentioned page. Maybe I'am just blind, but I cannot see any
section index on that page.

He should be on the page, but it is not!

The screenshots you can see everything. If necessary, give access to the admin.

#5 - 2012-05-23 21:35 - Stefan Galinski

Currently only elements in the column with the id 0 are shown in the section module. This should be made more flexible by the new typoscript property
explained in #21142. I'am not sure how templavoila handles this (try to just write 1=1 inside the setting value).

I had the same problem with the missing section items and fixed it by the combination of the two patches provided in the two related issues.
Review Request (the second one must be changed if the first one will be applied):
https://review.typo3.org/#/c/11251/
https://review.typo3.org/#/c/11249/

#6 - 2012-10-18 19:40 - Stefan Galinski
- Status changed from Needs Feedback to Closed

No further feedback was provided for some months.

#7 - 2013-02-07 15:42 - Thomas Pilgaard Carlsen
- File csc_4.6.png added
- File csc_4.7.png added

After upgrading to 4.7.7 I have the same problem. Section Index does not appear at all, instead headers and content are repeatedly displayed.
Including template CSC 4.6 causes the section index to be rendered properly.

I have attached two screenshots which illustrate the problem.

#8 - 2013-02-17 16:07 - Franz Geiger

I can confirm this problem. Also the suggested solution (reverting to css_styled_content from 4.6) works.

#9 - 2013-02-17 17:56 - Franz Geiger

It also seems as if updating to 4.7.7 made the section index menu ignore "Show in section menus" flags in content elements. In my backup 4.5.10
installation the section index adheres to these flags. But in the updated version, all content elements in this page are shown in the section index
regardless of the "show in section menus" option.

I didn't change anything but upgrading. I double checked if the "includeNotInMenu" option of typoscript menus is set though.

Is this related or a completely different issue?

#10 - 2013-02-18 19:43 - Franz Geiger

Do you use templavoila? I use it and to me it seems as if templavoila is the cause for the improper rendering of the section index.
tt_content.menu.20.3.userFunc = tx_templavoila_pi1->tvSectionIndex

Can someone confirm that?

#11 - 2013-02-18 20:10 - Franz Geiger

I created a issue over at templavoila's tracker to check: #45583

Files

2015-08-04 3/4

https://review.typo3.org/#/c/11251/
https://review.typo3.org/#/c/11249/


scr_1.jpg 264 kB 2012-05-23 Edward A. Gabdullin
scr_2.jpg 262.2 kB 2012-05-23 Edward A. Gabdullin
scr_3.jpg 130.2 kB 2012-05-23 Edward A. Gabdullin
scr_4.jpg 221.9 kB 2012-05-23 Edward A. Gabdullin
csc_4.6.png 98.3 kB 2013-02-07 Thomas Pilgaard Carlsen
csc_4.7.png 135.9 kB 2013-02-07 Thomas Pilgaard Carlsen

2015-08-04 4/4


